## missingh 0.8.0

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES := $(wildcard libsrc/MissingH/*.hs) \
	$(wildcard libsrc/MissingH/*/*.hs) \
	$(wildcard libsrc/MissingH/*/*/*.hs) 
LHSSOURCES := $(wildcard libsrc/MissingH/*/*.lhs) \
	$(wildcard libsrc/MissingH/*/*/*.lhs)
O1 := $(SOURCES:.hs=.o) $(LHSSOURCES)
OBJS := $(O1:.lhs=.o)

all: libmissingH.a

setup: Setup.lhs Setup.description
	ghc -package Cabal Setup.lhs -o setup

libmissingH.a: $(OBJS)
	-rm -f libmissingH.a
	ar q libmissingH.a $(OBJS)

%.o: %.hs
	ghc -O2 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.hs$$,, -e s,/,.,g`

%.o: %.lhs
	ghc -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.lhs$$,, -e s,/,.,g`

doc:
	-rm -rf html
	mkdir html
	haddock $(HADDOCKARGS) --package=MissingH \
	   --dump-interface=html/MissingH.haddock \
	   -t 'MissingH API Manual' -h -o html $(SOURCES)

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests

testsrc/runtests: all $(shell find testsrc -name "*.hs")
	ghc6 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -package HUnit --make -o testsrc/runtests -itestsrc -ilibsrc testsrc/runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests 

test-hugs:
	runhugs -98 +o -P$(PWD)/libsrc:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/libsrc:

interact-ghci: all
	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
missingh (0.8.0) unstable; urgency=low

  * New HVIO, HVFS modules.
  * Expanded MissingH.Path thanks to code from Volker Wysk's 
    HsShellScript.
  * Renamed MissingH.Network.FTP.Parser to
    MissingH.Network.FTP.ParserClient.
  * New FTP server modules.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Dec 2004 13:47:04 -0600

missingh (0.7.5) unstable; urgency=low

  * New module: MissingH.Email.Parser.
  * Added recurse directory funtions to MissingH.Path.
  * Added temporary directory functions to MissingH.Path.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  9 Dec 2004 09:10:35 -0600

missingh (0.7.4) unstable; urgency=low

  * Revved hsemail to 2004-11-01.
  * Imported blockio 2004-11-12.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  6 Dec 2004 11:57:20 -0600

missingh (0.7.3) unstable; urgency=low

  * Adding missing ConfigParser.Lexer to Setup.Description.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  5 Dec 2004 14:59:02 -0600

missingh (0.7.2) unstable; urgency=low

  * New modules: MissingH.FileArchive.GZip, MissingH.Checksum.CRC32.GZip,
    MissingH.Checksum.CRC32.Posix, MissingH.Compression.Inflate

 -- John Goerzen <jgoerzen@complete.org>  Sat,  4 Dec 2004 17:25:25 -0600

missingh (0.7.1) unstable; urgency=low

  * Applied some helpful patches from Einar Karttunen.  The main feature
    is turning MissingH.ConfigParser.get into an instance of a class
    so it can be extended to return various types.  Please note:
    if you used getbool() or getnum() in 0.7.0, these functions are now
    gone, since they are no longer needed.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  3 Dec 2004 10:07:44 -0600

missingh (0.7.0) unstable; urgency=low

  * Major new feature: ConfigParser. 
  * Rewrote unit tests to use hunit more effectively.
  * Other new modules: MissingH.Either.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Dec 2004 19:37:14 -0600

missingh (0.6.2) unstable; urgency=low

  * New "generic" sprintf functions.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Nov 2004 09:00:03 -0600

missingh (0.6.0) unstable; urgency=low

  * Major new feature: Printf module.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Nov 2004 15:28:29 -0600

missingh (0.5.4) unstable; urgency=low

  * Added build-dep-indep on libhugs-hunit and re-enabled Hugs unit tests.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Oct 2004 08:39:28 -0500

missingh (0.5.3) unstable; urgency=low

  * Don't run Hugs tests for now.  Closes: #278802.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Oct 2004 08:25:21 -0500

missingh (0.5.2) unstable; urgency=low

  * New module: sendmail
  * New popen functions in MissingH.Cmd.
  * Added splitRe, subRe to Str.hs.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Oct 2004 16:38:01 -0500

missingh (0.5.1) unstable; urgency=low

  * Added libghc6-hunit-dev to build-depends.  Closes: #278138.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 22:21:21 -0500

missingh (0.5.0) unstable; urgency=low

  * Lots of new code: FTP, MIME, Wash, Hsemail, etc.
  * Rebuilt for new ghc.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 01:46:35 -0500

missingh (0.4.2) unstable; urgency=low

  * Added MissingH.List.contains
  * Added MissingH.Threads

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Oct 2004 10:02:03 -0500

missingh (0.4.1) unstable; urgency=low

  * Added haskell-src to build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Oct 2004 15:46:57 -0500

missingh (0.4.0) unstable; urgency=low

  * Added logging infrastructure and Syslog handler.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  8 Oct 2004 20:15:52 -0500

missingh (0.2.0) unstable; urgency=low

  * Renamed to more standard names: MissingH.IO, MissingH.List,
    MissingH.Str.
  
  * Moved binary functions into new module MissingH.IO.Binary.
  
  * Added unit tests and test cases for List and Str.
  
  * Moved Debian code to use dh_haskell.

  * Build Hugs package for Debian.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Oct 2004 21:36:47 -0500

missingh (0.1.0) unstable; urgency=low

  * Initial Release.  Closes: #275070.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 16:17:09 -0500

=== debian/control ===
Source: missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.2), libghc6-hunit-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.2), libhugs-hunit
Standards-Version: 3.6.1
Section: devel

Package: libghc6-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}
Suggests: missingh-doc
Description: Library of utility functions for Haskell, GHC6 package 
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.

Package: libhugs-missingh
Section: devel
Architecture: all
Depends: ${haskell:Depends}
Suggests: missingh-doc
Description: Library of utility functions for Haskell, Hugs package 
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.

Package: missingh-doc
Section: doc
Architecture: all
Description: Documentation for Haskell utility library
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.
 .
 This package provides the API documentation for MissingH.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## missingh 0.10.7.sarge.2

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES := $(wildcard MissingH/*.hs) \
	$(wildcard MissingH/*/*.hs) \
	$(wildcard MissingH/*/*/*.hs) 
LHSSOURCES := $(wildcard MissingH/*/*.lhs) \
	$(wildcard MissingH/*/*/*.lhs)
O1 := $(SOURCES:.hs=.o) $(LHSSOURCES)
OBJS := $(O1:.lhs=.o)
LHSCONVSOURCES := $(patsubst %.lhs,doctmp/%.hs,$(LHSSOURCES))
HUGSCONVSOURCES := $(patsubst %.hs,dist/build/%.hs,$(SOURCES))
UNLIT ?= $(shell ghc --print-libdir)/unlit

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs MissingH.cabal
	ghc -package Cabal Setup.lhs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

#libmissingH.a: $(OBJS)
#	-rm -f libmissingH.a
#	ar q libmissingH.a $(OBJS)

#%.o: %.hs
#	ghc -O2 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.hs$$,, -e s,/,.,g`
#
#%.o: %.lhs
#	ghc -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.lhs$$,, -e s,/,.,g`
#

.PHONY: doc
doc: $(LHSCONVSOURCES) hugsbuild
	-rm -rf html
	mkdir html
	haddock $(HADDOCKARGS) --package=MissingH \
	   --dump-interface=html/MissingH.haddock \
	   -t 'MissingH API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*
	-cd doc && $(MAKE) clean

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: local-pkg $(SOURCES) $(LHSSOURCES)
	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
           -package-conf local-pkg \
           -hidir dist/build -idist/build -itestsrc \
	   -fallow-overlapping-instances -fglasgow-exts \
	   -fallow-undecidable-instances \
                -package HUnit -package MissingH --make testsrc/runtests.hs


#testsrc/runtests: all $(shell find testsrc -name "*.hs")
#	ghc6 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -package HUnit --make -o testsrc/runtests -itestsrc -ilibsrc testsrc/runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests 

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
missingh (0.10.7.sarge.2) unstable; urgency=high

  * Fixed build-depends-indep from 0.10.7.sarge.1.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Apr 2005 21:37:42 -0500

missingh (0.10.7.sarge.1) unstable; urgency=high

  * Back out hugs code so we can get it into sarge and fix a FTBFS in sarge.
    Closes: #305901.
  * After this propogates to sarge, I will upload 0.10.8 to sid that will
    restore the updates to work with the hugs in sid.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Apr 2005 20:41:48 -0500

missingh (0.10.7) unstable; urgency=low

  * Fixed MissingH.Debian.ControlParser to ignore PGP sigs.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 20:39:58 -0500

missingh (0.10.6) unstable; urgency=low

  * New module: MissingH.GetOpt.
  * New AL utilities in MissingH.List.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 14:01:52 -0500

missingh (0.10.5) unstable; urgency=low

  * Yet more features in MissingH.Cmd.  This time, added hPipe*.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 16:37:50 -0500

missingh (0.10.4) unstable; urgency=low

  * Reworking and bugfixing of the new pipe functions in MissingH.Cmd.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 10:09:24 -0500

missingh (0.10.3) unstable; urgency=low

  * Added new pipe functions to MissingH.Cmd.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 00:06:52 -0500

missingh (0.10.2) unstable; urgency=low

  * Minor fix to logging in MissingH.Cmd.
  * Documentation example fixes.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 16 Apr 2005 22:13:38 -0500

missingh (0.10.1) unstable; urgency=low

  * Imported Bjorn Bringert's ParseDate.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Apr 2005 07:14:33 -0500

missingh (0.10.0) unstable; urgency=low

  * Compatibility with new Hugs and GHC releases.
  * New modules: MissingH.Debian, MissingH.Debian.ControlParser,
    MissingH.Str.CSV, MissingH.Maybe
  * New MissingH.List functions: wholeMap, fixedWidth
  * New function: MissingH.Time.epochToClockTime
  * Updated HVFS utilities to use epochToClockTime for compatibility
    with the newer Hugs
  * New features in MissingH.IO.Binary: readBinaryFile, writeBinaryFile.
    Make sure tests use these features where appropriate.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Apr 2005 06:33:12 -0500

missingh (0.9.2) unstable; urgency=low

  * New modules: MissingH.Debian, MissingH.Debian.ControlParser
  * Temporary changes to work with new Hugs

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Mar 2005 09:18:10 -0600

missingh (0.9.1) unstable; urgency=low

  * ConfigParser: accept values that are empty

 -- John Goerzen <jgoerzen@complete.org>  Mon, 14 Feb 2005 16:36:27 -0600

missingh (0.9.0) unstable; urgency=low

  * New module: MissingH.AnyDBM.  Integrated support for HashTable and
    FiniteMap.
  * New support for converting arbitrary association lists and
    finite maps two/from string.
  * New module: MissingH.AnyDBM.StringDBM that uses this new support.
  * New module: MissingH.Regex.Pesco
  * Major restructuring and cleaning up of the build system.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  1 Feb 2005 15:22:37 -0600

missingh (0.8.1) unstable; urgency=low

  * Updated to Cabal 0.4.
  * New module: MissingH.Time.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 26 Jan 2005 10:34:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.2), libghc6-hunit-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.2), libhugs-hunit
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.6), libghc6-hunit-dev, cpphs
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200311), haskell-devscripts (>= 0.5.6), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
 
@@ -26,7 +26,7 @@
 Package: libhugs-missingh
 Section: devel
 Architecture: all
-Depends: ${haskell:Depends}
+Depends: hugs (>= 98.200311), hugs (<< 98.200503)
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, Hugs package 
  MissingH is a library of all sorts of utility functions for

## missingh 0.11.2

=== debian/changelog ===
missingh (0.11.2) unstable; urgency=low

  * Back out hide-package option in Makefile.  Closes: #309319.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 May 2005 06:13:10 -0500

missingh (0.11.1) unstable; urgency=low

  * Added mtl to build-depends; Control.Monad.Error was moved
    there for GHC 6.4.  Closes: #309245.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 15 May 2005 18:44:44 -0500

missingh (0.11.0) unstable; urgency=low

  * First release with full support for GHC 6.4.
  * Changed name of HUnit imports in unit tests to follow GHC 6.4 conventions.
  * Fixed unit tests for GHC 6.4 compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 May 2005 06:47:06 -0500

missingh (0.10.10) unstable; urgency=low

  * The "this time it really compiles with GHC 6.4 and I mean it" release.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 May 2005 07:23:03 -0500

missingh (0.10.9) unstable; urgency=low

  * GHC 6.4 compatibility: imported new Hsemail, 2005-04-29, from Peter
    Simons.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 May 2005 06:07:41 -0500

missingh (0.10.8) unstable; urgency=low

  * Added more error-checking to ParseDate.
  * Returned Hugs code to normal sid version.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 27 Apr 2005 07:25:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.6), libghc6-hunit-dev, cpphs
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200311), haskell-devscripts (>= 0.5.6), libhugs-hunit
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4-999), haskell-devscripts (>= 0.5.6), cpphs
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6)
 Standards-Version: 3.6.1
 Section: devel
 
@@ -26,7 +26,7 @@
 Package: libhugs-missingh
 Section: devel
 Architecture: all
-Depends: hugs (>= 98.200311), hugs (<< 98.200503)
+Depends: ${haskell:Depends}
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, Hugs package 
  MissingH is a library of all sorts of utility functions for

## missingh 0.13.0.1build1

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,13 @@
 	$(wildcard MissingH/*/*/*.hs) 
 LHSSOURCES := $(wildcard MissingH/*/*.lhs) \
 	$(wildcard MissingH/*/*/*.lhs)
+TESTSOURCES := $(shell find testsrc -name "*.hs")
 O1 := $(SOURCES:.hs=.o) $(LHSSOURCES)
 OBJS := $(O1:.lhs=.o)
 LHSCONVSOURCES := $(patsubst %.lhs,doctmp/%.hs,$(LHSSOURCES))
 HUGSCONVSOURCES := $(patsubst %.hs,dist/build/%.hs,$(SOURCES))
 UNLIT ?= $(shell ghc --print-libdir)/unlit
+GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp
 
 .PHONY: all hugsbuild
 all: setup			# GHC build
@@ -44,17 +46,6 @@
 
 doctmp:
 	mkdir doctmp
-
-#libmissingH.a: $(OBJS)
-#	-rm -f libmissingH.a
-#	ar q libmissingH.a $(OBJS)
-
-#%.o: %.hs
-#	ghc -O2 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.hs$$,, -e s,/,.,g`
-#
-#%.o: %.lhs
-#	ghc -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.lhs$$,, -e s,/,.,g`
-#
 
 .PHONY: doc
 doc: $(LHSCONVSOURCES) hugsbuild
@@ -81,20 +72,11 @@
 	cat .installed-pkg-config >> local-pkg
 	echo "]" >> local-pkg
 
-testsrc/runtests: local-pkg $(SOURCES) $(LHSSOURCES)
-	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
-           -package-conf local-pkg \
-           -hidir dist/build -idist/build -itestsrc \
-	   -fallow-overlapping-instances -fglasgow-exts \
-	   -fallow-undecidable-instances \
-                -package HUnit -package MissingH --make testsrc/runtests.hs
-
-
-#testsrc/runtests: all $(shell find testsrc -name "*.hs")
-#	ghc6 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -package HUnit --make -o testsrc/runtests -itestsrc -ilibsrc testsrc/runtests.hs
+testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
+	cd testsrc && ghc --make -package mtl -package HUnit $(GHCPARMS) -o runtests  -i../dist/build:.. runtests.hs
 
 test-ghc6: testsrc/runtests
-	testsrc/runtests 
+	testsrc/runtests
 
 test-hugs: hugsbuild
 	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs
@@ -103,7 +85,7 @@
 	hugs -98 +o -P$(PWD)/dist/build:
 
 interact-ghci: all
-	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts
+	ghci -idist/build -Ldist/build $(GHCPARMS)
 
 interact: interact-hugs

=== debian/changelog ===
missingh (0.13.0.1build1) dapper; urgency=low

  * Rebuild for registered/unregistered changes of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat,  8 Apr 2006 23:05:01 +0200

missingh (0.13.0.1) dapper; urgency=low

  * Fake sync from sid, UVF exception granted by mdz.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Mar 2006 22:51:06 +1100

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.
  * MissingH.IO.HVIO: No longer return EOFError when vGetContents called
    at EOF, for compatibility with hGetContents.  Reported by
    Bulat Ziganshin.
  * MissingH.IO.HVFS.Utils: Applied suggestion from Bulat
    to make recursiveRemove cleaner.
  * MissingH.IO.HVIO: Minor bugfixes suggested by Bulat.
  * Updated, fixed typos, and enhanced various docs.
  * testsrc/Listtest: Added unit tests for spanList
  * MissingH.List: Replaced implementation of spanList with one
    suggested by Bulat.
  * Added ghc6 (>= 6.4.1) to Debian build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Mar 2006 12:26:03 -0600

missingh (0.13.0) unstable; urgency=low

  * This release introduces some API changes that will affect 
    a small percentage of programmers that use ConfigParser.
  * This release requires GHC 6.4.x or Hugs 2005xx or above.
    This has been noted in INSTALL.
  * MissingH.List: Committed some patches from Bulat Ziganshin
    to improve performance.
  * New function MissingH.List.subIndex based on suggestion
    from Bulat Ziganshin.  Also added tests for it.
  * New module MissingH.Map, similar to MissingH.FiniteMap but for
    Data.Map instead of Data.FiniteMap.  Also added tests for
    MissingH.Map.
  * New module MissingH.AnyDBM.MapDBM, plus tests for it.
    Converted from MissingH.AnyDBM.FiniteMapDBM.
  * Converted these modules to use MVars instead of IORefs:
    + MissingH.Logging.Logger
  * Converted these modules to use Data.Map instead of Data.FiniteMap:
    + MissingH.Logging.Logger
    + MissingH.MIMETypes
    + MissingH.ConfigParser (exposes an API change to a few people)
  * Converted these modules to use Text.Printf instead of MissingH.Printf:
    + MissingH.IO.HVFS.Utils
    + MissingH.Network.FTP.Server
  * Added deprecation warnings to these modules:
    + MissingH.FiniteMap (deprecation of Data.FiniteMap)
    + MissingH.AnyDBM.FiniteMapDBM (deprecation of Data.FiniteMap)
    + MissingH.Printf (introduction of Text.Printf)
  * Added deprecation warnings for two specific functions in
    MissingH.Str: subRe and splitRe.  I had submitted the code for
    these to fptools, and the current releases of GHC and Hugs have
    Text.Regex.subRegex and splitRegex using the code for MissingH.
    Therefore, these functions in MissingH are deprecated in favor of
    the implementations in the standard library.
  * Added locking to StringDBM for thread safety improvements
  * Merry Christmas!

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Dec 2005 15:24:13 -0600

missingh (0.12.3) unstable; urgency=low

  * Make StreamHandler now lock by default.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 25 Dec 2005 22:33:16 -0600

missingh (0.12.2) unstable; urgency=low

  * Made generic unit tests available.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Dec 2005 05:03:10 -0600

missingh (0.12.1) unstable; urgency=low

  * Update for GHC 6.4.1.
  * Updated standards-version.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 16 Oct 2005 23:31:43 -0500

missingh (0.12.0) unstable; urgency=low

  * Added simplegrap.hs example
  * New module: MissingH.Daemon, to support detaching from a
    controlling terminal
  * Fixes to make docs work with Haddock 0.7
  * New function in MissingH.Maybe: forceMaybeMsg
  * HVIO and HVFS now provide abstractions for binary I/O
  * MissingH.IO.Binary now uses HVIO/HVFS abstractions instead of being
    tied to Handles
  * MissingH.IO.Binary can now work with Strings or [Word8], instead of
    just Strings.
  * MissingH.IO.Binary.hBlockCopy optimized to require no conversion
    of the buffer.
  * Updated MissingH.IO.BlockIO to upstream version 2005-02-14
  * Updated MissingH.Threads.Child and Timeout to upstream version 2005-02-14

 -- John Goerzen <jgoerzen@complete.org>  Mon, 10 Oct 2005 05:50:02 -0500

missingh (0.11.5) unstable; urgency=low

  * Added lazyMapM to MissingH.IO

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Aug 2005 22:03:31 -0500

missingh (0.11.4) unstable; urgency=low

  * Added bracketCWD, brackettmpdirCWD to MissingH.Path
  * Made MissingH.Path.recurseDir* lazy

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Aug 2005 05:52:15 -0500

missingh (0.11.3) unstable; urgency=low

  * Now added support for use on Windows.
  * New modules: StatCompat, WindowsCompat, FilePath, PlafCompat,
    PosixConsts.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Jul 2005 05:27:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4-999), haskell-devscripts (>= 0.5.6), cpphs
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6)
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.1)
+Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-missingh-dev

## missingh 0.14.5

=== Makefile ===
--- 
+++ 
@@ -48,12 +48,14 @@
 	mkdir doctmp
 
 .PHONY: doc
-doc: $(LHSCONVSOURCES) hugsbuild
+doc: $(LHSCONVSOURCES) setup
 	-rm -rf html
-	mkdir html
-	haddock $(HADDOCKARGS) --package=MissingH \
-	   --dump-interface=html/MissingH.haddock \
-	   -t 'MissingH API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
+	./setup configure
+	./setup haddock
+#	haddock $(HADDOCKARGS) --package=MissingH \
+#	   --dump-interface=html/MissingH.haddock \
+#	   -t 'MissingH API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
+	mv dist/doc/html .
 
 .PHONY: hugsbuild

=== doc/Makefile ===
# arch-tag: Makefile for documentation

all: Pesco.pdf

clean:
	-rm -f Pesco.{aux,log,tex} *~

Pesco.tex: ../MissingH/Regex/Pesco.lhs
	lhs2TeX --poly $< > $@

Pesco.pdf: Pesco.tex
	pdflatex Pesco.tex

=== debian/changelog ===
missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem 
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32 
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2)
 Standards-Version: 3.6.2
 Section: devel

## missingh 0.16.2

=== debian/changelog ===
missingh (0.16.2) unstable; urgency=low

  * Documented Quantity.hs
  * Fixed missing libghc6-*-dev deps from GHC 6.6.  Closes: #394580.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 19:51:08 -0500

missingh (0.16.1) unstable; urgency=low

  * Fix up dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:24:04 -0500

missingh (0.16.0) unstable; urgency=low

  * NEW: MissingH.Quantity that is used to render numbers as binary
    units (MB, KB, etc) or SI units, or other similar units
  * NEW: MissingH.ProgressTracker that is used to track the progress
    of long-running tasks, measure their speed, and give estimated
    completion times
  * Update to support GHC 6.6
    + Remove FiniteMap support everywhere (no longer supported in GHC)
    + Remove MissingH.Printf (has been deprecated since 0.13.0 due to
      Text.Printf)
    + Update README
    + Fix MissingH.FTP.Server for GHC 6.6.0 compatibility
    + Update cabal file for GHC 6.6 compatibility
  * Patch from Jeremy Shaw to add to MissingH.HUnit the ability to turn
    QuickCheck tests into HUnit tests
  * Patch from Joe Edmonds to MissingH.Wash.Mail.MailParser to
    accept a slight violation of RFC2822 in which date headers may have
    a single-digit date
  * Fix a logic error in MemoryBuffer's vPutStr that could corrupt
    data when a write occurs after a seek, and wrote a test to
    detect this condition.  Thanks to Bulat Ziganshin for finding this.
  * New function in MissingH.List to merge two sorted lists into
    a single sorted whole.  Patch from Clifford Beshers.
  * Work around lack of signals on Windows in MissingH.Cmd.
  * Make sure Data.Bits is imported in MissingH.IO.StatCompat.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 04:38:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-missingh-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, GHC6 package 
  MissingH is a library of all sorts of utility functions for

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
-	make test-ghc6
+	#make test-ghc6
 	# Add here commands to compile the package.
 	touch build-stamp
 
@@ -67,13 +67,14 @@
 
 	# Add here commands to install the package into debian/tmp
 	dh_haskell -a
+	make test-ghc6
 
 builddocs: builddocs-stamp
 builddocs-stamp:
 	dh_testdir
 
 	make doc
-	make test-hugs
+	#make test-hugs
 
 installdocs: builddocs
 	dh_testdir
@@ -82,12 +83,13 @@
 	dh_installdirs -i
 
 	dh_haskell -i
+	make test-hugs
 
 # Build architecture-independent files here.
 binary-indep: builddocs installdocs
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog -i
+	dh_installchangelogs -i
 	dh_installdocs -i
 	dh_installexamples -i
 #	dh_install
@@ -118,7 +120,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog -a
+	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
 #	dh_install

## missingh 0.18.0

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PROJECT := MissingH
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package hslogger -package FilePath -package mtl -package HUnit $(GHCPARMS) -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: 
	runhugs -98 +o "-Fcpphs --noline" -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
missingh (0.18.0) unstable; urgency=low

  * Major API changes in this release; several large modules being
    split off into separate packages.  See 
    http://software.complete.org/missingh/wiki/TransitionPlanning
    for details.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:13:58 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-filepath-dev, libghc6-hslogger-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs, libhugs-filepath, libhugs-hunit, libhugs-hslogger
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-missingh-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-filepath-dev, libghc6-hslogger-dev
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, GHC6 package 
  MissingH is a library of all sorts of utility functions for
@@ -26,7 +26,7 @@
 Package: libhugs-missingh
 Section: devel
 Architecture: all
-Depends: ${haskell:Depends}
+Depends: ${haskell:Depends}, libhugs-filepath, libhugs-hunit, libhugs-hslogger
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, Hugs package 
  MissingH is a library of all sorts of utility functions for

## missingh 0.18.6

=== debian/changelog ===
missingh (0.18.6) unstable; urgency=low

  * Rebuild for newer GHC 6.6.1.  Closes: #427769.
  * Removed Hugs support due to lack of regex.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 02:32:41 -0500

missingh (0.18.5) unstable; urgency=low

  * Update for GHC 6.6.1.
  * Update hugs build-dep for hugs 98.200609.21.  Closes: #419440.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 01 Jun 2007 02:54:53 -0500

missingh (0.18.4) unstable; urgency=low

  * Rebuilt with new filepath.  Closes: #319113.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Apr 2007 03:37:37 -0500

missingh (0.18.3) unstable; urgency=low

  * Fixed bug in globbing
  * Fixed hugs dependency

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Mar 2007 04:10:43 -0600

missingh (0.18.2) unstable; urgency=low

  * Also fixed hugs HUnit dep (0.18.1 fixed the build-dep only).
    Closes: #412146.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 24 Feb 2007 08:04:02 -0600

missingh (0.18.1) unstable; urgency=low

  * Fixed hugs HUnit dep.  Closes: #409681.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 06:58:05 -0600

=== debian/control ===
Source: missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08-4), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs, libhugs-filepath, libhugs-hslogger, libhugs-hunit, libhugs-mtl, libhugs-network, libhugs-parsec, libhugs-quickcheck, libhugs-unix
Standards-Version: 3.6.2
Section: devel

Package: libghc6-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev
Suggests: missingh-doc
Description: Library of utility functions for Haskell, GHC6 package 
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.

Package: missingh-doc
Section: doc
Architecture: all
Description: Documentation for Haskell utility library
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.
 .
 This package provides the API documentation for MissingH.
